parseWikitextFragment() expects exactly 3 parameters, 2 given in ApiVisualEditor
Closed, ResolvedPublic1 Story Points

Description

Spotted in production:

Warning: parseWikitextFragment() expects exactly 3 parameters, 2 given in /srv/mediawiki/php-1.31.0-wmf.20/extensions/VisualEditor/ApiVisualEditor.php on line 135
demon created this task.Feb 9 2018, 2:55 PM
demon triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 9 2018, 2:55 PM
DLynch added a comment.Feb 9 2018, 8:39 PM

@Esanders: It's duelling patches. Your https://gerrit.wikimedia.org/r/406770 merged at the end of January, but was originally written before I added getPreloadContent, so it didn't update the call to parseWikitextFragment in it. I can throw up a quick patch to update said call.

Change 409439 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] ApiVisualEditor: Update getPreloadContent's parseWikitextFragment call

https://gerrit.wikimedia.org/r/409439

Change 409439 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] ApiVisualEditor: Update getPreloadContent's parseWikitextFragment call

https://gerrit.wikimedia.org/r/409439

Change 409630 had a related patch set uploaded (by Jforrester; owner: DLynch):
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.20] ApiVisualEditor: Update getPreloadContent's parseWikitextFragment call

https://gerrit.wikimedia.org/r/409630

Jdforrester-WMF set the point value for this task to 1.Feb 11 2018, 1:26 AM
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 409630 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.20] ApiVisualEditor: Update getPreloadContent's parseWikitextFragment call

https://gerrit.wikimedia.org/r/409630

demon closed this task as Resolved.Feb 12 2018, 4:54 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptFeb 12 2018, 4:54 PM